<?xml version="1.0" encoding="UTF-8"?>
<example name="freertos" category="demo_apps/lwip/lwip_tcpecho" board_ref="FRDM_K64F" version="1.0.0" format_version="2.1">
  <source path="CMSIS/Include" target_path="CMSIS/Include" type="c_include">
    <files mask="arm_common_tables.h"/>
    <files mask="arm_const_structs.h"/>
    <files mask="arm_math.h"/>
    <files mask="cmsis_armcc.h"/>
    <files mask="cmsis_armcc_V6.h"/>
    <files mask="cmsis_gcc.h"/>
    <files mask="core_cm0.h"/>
    <files mask="core_cm0plus.h"/>
    <files mask="core_cm3.h"/>
    <files mask="core_cm4.h"/>
    <files mask="core_cm7.h"/>
    <files mask="core_cmFunc.h"/>
    <files mask="core_cmInstr.h"/>
    <files mask="core_cmSimd.h"/>
    <files mask="core_sc000.h"/>
    <files mask="core_sc300.h"/>
  </source>
  <source path="boards/frdmk64f/demo_apps/lwip/lwip_tcpecho/freertos" target_path="sources" type="c_include">
    <files mask="FreeRTOSConfig.h"/>
    <files mask="board.h"/>
    <files mask="clock_config.h"/>
    <files mask="fsl_phy.h"/>
    <files mask="pin_mux.h"/>
  </source>
  <source path="boards/frdmk64f/demo_apps/lwip/lwip_tcpecho/freertos" target_path="doc" type="doc">
    <files mask="readme.txt"/>
  </source>
  <source path="boards/frdmk64f/demo_apps/lwip/lwip_tcpecho/freertos" target_path="sources" type="src">
    <files mask="board.c"/>
    <files mask="clock_config.c"/>
    <files mask="fsl_phy.c"/>
    <files mask="lwip_tcpecho_freertos.c"/>
    <files mask="pin_mux.c"/>
  </source>
  <source path="devices/MK64F12/arm" target_path="devices/arm" type="src" compiler="arm">
    <files mask="startup_MK64F12.s"/>
  </source>
  <source path="devices/MK64F12/drivers" target_path="drivers" type="c_include">
    <files mask="fsl_clock.h"/>
    <files mask="fsl_common.h"/>
    <files mask="fsl_enet.h"/>
    <files mask="fsl_flash.h"/>
    <files mask="fsl_gpio.h"/>
    <files mask="fsl_port.h"/>
    <files mask="fsl_sim.h"/>
    <files mask="fsl_smc.h"/>
    <files mask="fsl_uart.h"/>
  </source>
  <source path="devices/MK64F12/drivers" target_path="drivers" type="src">
    <files mask="fsl_clock.c"/>
    <files mask="fsl_common.c"/>
    <files mask="fsl_enet.c"/>
    <files mask="fsl_flash.c"/>
    <files mask="fsl_gpio.c"/>
    <files mask="fsl_sim.c"/>
    <files mask="fsl_smc.c"/>
    <files mask="fsl_uart.c"/>
  </source>
  <source path="devices/MK64F12/gcc" target_path="devices/gcc" type="src" compiler="gcc">
    <files mask="startup_MK64F12.S"/>
  </source>
  <source path="devices/MK64F12/iar" target_path="devices/iar" type="src" compiler="iar">
    <files mask="startup_MK64F12.s"/>
  </source>
  <source path="devices/MK64F12/utilities" target_path="utilities" type="c_include">
    <files mask="fsl_debug_console.h"/>
  </source>
  <source path="devices/MK64F12/utilities" target_path="utilities" type="src">
    <files mask="fsl_debug_console.c"/>
    <files mask="fsl_sbrk.c"/>
  </source>
  <source path="devices/MK64F12" target_path="devices" type="c_include">
    <files mask="MK64F12.h"/>
    <files mask="MK64F12_features.h"/>
    <files mask="fsl_device_registers.h"/>
    <files mask="system_MK64F12.h"/>
  </source>
  <source path="devices/MK64F12" target_path="devices" type="src">
    <files mask="system_MK64F12.c"/>
  </source>
  <source path="middleware/lwip_2.0.0/contrib/apps/tcpecho" target_path="lwip/contrib/apps/tcpecho" type="c_include">
    <files mask="tcpecho.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/contrib/apps/tcpecho" target_path="lwip/contrib/apps/tcpecho" type="src">
    <files mask="tcpecho.c"/>
  </source>
  <source path="middleware/lwip_2.0.0/port/arch" target_path="lwip/port/arch" type="c_include">
    <files mask="cc.h"/>
    <files mask="perf.h"/>
    <files mask="sys_arch.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/port" target_path="lwip/port" type="c_include">
    <files mask="ethernetif.h"/>
    <files mask="lwipopts.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/port" target_path="lwip/port" type="src">
    <files mask="ethernetif.c"/>
    <files mask="sys_arch.c"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/api" target_path="lwip/src/api" type="src">
    <files mask="api_lib.c"/>
    <files mask="api_msg.c"/>
    <files mask="err.c"/>
    <files mask="netbuf.c"/>
    <files mask="netdb.c"/>
    <files mask="netifapi.c"/>
    <files mask="sockets.c"/>
    <files mask="tcpip.c"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/core/ipv4" target_path="lwip/src/core/ipv4" type="src">
    <files mask="autoip.c"/>
    <files mask="dhcp.c"/>
    <files mask="etharp.c"/>
    <files mask="icmp.c"/>
    <files mask="igmp.c"/>
    <files mask="ip4.c"/>
    <files mask="ip4_addr.c"/>
    <files mask="ip4_frag.c"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/core/ipv6" target_path="lwip/src/core/ipv6" type="src">
    <files mask="dhcp6.c"/>
    <files mask="ethip6.c"/>
    <files mask="icmp6.c"/>
    <files mask="inet6.c"/>
    <files mask="ip6.c"/>
    <files mask="ip6_addr.c"/>
    <files mask="ip6_frag.c"/>
    <files mask="mld6.c"/>
    <files mask="nd6.c"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/core" target_path="lwip/src/core" type="src">
    <files mask="def.c"/>
    <files mask="dns.c"/>
    <files mask="inet_chksum.c"/>
    <files mask="init.c"/>
    <files mask="ip.c"/>
    <files mask="mem.c"/>
    <files mask="memp.c"/>
    <files mask="netif.c"/>
    <files mask="pbuf.c"/>
    <files mask="raw.c"/>
    <files mask="stats.c"/>
    <files mask="sys.c"/>
    <files mask="tcp.c"/>
    <files mask="tcp_in.c"/>
    <files mask="tcp_out.c"/>
    <files mask="timeouts.c"/>
    <files mask="udp.c"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/include/lwip/priv" target_path="lwip/src/include/lwip/priv" type="c_include">
    <files mask="api_msg.h"/>
    <files mask="memp_priv.h"/>
    <files mask="memp_std.h"/>
    <files mask="tcp_priv.h"/>
    <files mask="tcpip_priv.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/include/lwip/prot" target_path="lwip/src/include/lwip/prot" type="c_include">
    <files mask="autoip.h"/>
    <files mask="dhcp.h"/>
    <files mask="dns.h"/>
    <files mask="etharp.h"/>
    <files mask="ethernet.h"/>
    <files mask="icmp.h"/>
    <files mask="icmp6.h"/>
    <files mask="igmp.h"/>
    <files mask="ip.h"/>
    <files mask="ip4.h"/>
    <files mask="ip6.h"/>
    <files mask="mld6.h"/>
    <files mask="nd6.h"/>
    <files mask="tcp.h"/>
    <files mask="udp.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/include/lwip" target_path="lwip/src/include/lwip" type="c_include">
    <files mask="api.h"/>
    <files mask="arch.h"/>
    <files mask="autoip.h"/>
    <files mask="debug.h"/>
    <files mask="def.h"/>
    <files mask="dhcp.h"/>
    <files mask="dhcp6.h"/>
    <files mask="dns.h"/>
    <files mask="err.h"/>
    <files mask="errno.h"/>
    <files mask="etharp.h"/>
    <files mask="ethip6.h"/>
    <files mask="icmp.h"/>
    <files mask="icmp6.h"/>
    <files mask="igmp.h"/>
    <files mask="inet.h"/>
    <files mask="inet_chksum.h"/>
    <files mask="init.h"/>
    <files mask="ip.h"/>
    <files mask="ip4.h"/>
    <files mask="ip4_addr.h"/>
    <files mask="ip4_frag.h"/>
    <files mask="ip6.h"/>
    <files mask="ip6_addr.h"/>
    <files mask="ip6_frag.h"/>
    <files mask="ip_addr.h"/>
    <files mask="mem.h"/>
    <files mask="memp.h"/>
    <files mask="mld6.h"/>
    <files mask="nd6.h"/>
    <files mask="netbuf.h"/>
    <files mask="netdb.h"/>
    <files mask="netif.h"/>
    <files mask="netifapi.h"/>
    <files mask="opt.h"/>
    <files mask="pbuf.h"/>
    <files mask="raw.h"/>
    <files mask="sio.h"/>
    <files mask="snmp.h"/>
    <files mask="sockets.h"/>
    <files mask="stats.h"/>
    <files mask="sys.h"/>
    <files mask="tcp.h"/>
    <files mask="tcpip.h"/>
    <files mask="timeouts.h"/>
    <files mask="udp.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/include/netif/ppp/polarssl" target_path="lwip/src/include/netif/ppp/polarssl" type="c_include">
    <files mask="arc4.h"/>
    <files mask="des.h"/>
    <files mask="md4.h"/>
    <files mask="md5.h"/>
    <files mask="sha1.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/include/netif/ppp" target_path="lwip/src/include/netif/ppp" type="c_include">
    <files mask="ccp.h"/>
    <files mask="chap-md5.h"/>
    <files mask="chap-new.h"/>
    <files mask="chap_ms.h"/>
    <files mask="eap.h"/>
    <files mask="ecp.h"/>
    <files mask="eui64.h"/>
    <files mask="fsm.h"/>
    <files mask="ipcp.h"/>
    <files mask="ipv6cp.h"/>
    <files mask="lcp.h"/>
    <files mask="magic.h"/>
    <files mask="mppe.h"/>
    <files mask="ppp.h"/>
    <files mask="ppp_impl.h"/>
    <files mask="ppp_opts.h"/>
    <files mask="pppapi.h"/>
    <files mask="pppcrypt.h"/>
    <files mask="pppdebug.h"/>
    <files mask="pppoe.h"/>
    <files mask="pppol2tp.h"/>
    <files mask="pppos.h"/>
    <files mask="upap.h"/>
    <files mask="vj.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/include/netif" target_path="lwip/src/include/netif" type="c_include">
    <files mask="etharp.h"/>
    <files mask="ethernet.h"/>
    <files mask="lowpan6.h"/>
    <files mask="lowpan6_opts.h"/>
    <files mask="slipif.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/include/posix/sys" target_path="lwip/src/include/posix/sys" type="c_include">
    <files mask="socket.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/include/posix" target_path="lwip/src/include/posix" type="c_include">
    <files mask="errno.h"/>
    <files mask="netdb.h"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/netif/ppp" target_path="lwip/src/netif/ppp" type="src">
    <files mask="auth.c"/>
    <files mask="ccp.c"/>
    <files mask="chap-md5.c"/>
    <files mask="chap-new.c"/>
    <files mask="chap_ms.c"/>
    <files mask="demand.c"/>
    <files mask="eap.c"/>
    <files mask="eui64.c"/>
    <files mask="fsm.c"/>
    <files mask="ipcp.c"/>
    <files mask="ipv6cp.c"/>
    <files mask="lcp.c"/>
    <files mask="lwip_ecp.c"/>
    <files mask="magic.c"/>
    <files mask="mppe.c"/>
    <files mask="multilink.c"/>
    <files mask="ppp.c"/>
    <files mask="pppapi.c"/>
    <files mask="pppcrypt.c"/>
    <files mask="pppoe.c"/>
    <files mask="pppol2tp.c"/>
    <files mask="pppos.c"/>
    <files mask="upap.c"/>
    <files mask="utils.c"/>
    <files mask="vj.c"/>
  </source>
  <source path="middleware/lwip_2.0.0/src/netif" target_path="lwip/src/netif" type="src">
    <files mask="ethernet.c"/>
    <files mask="lowpan6.c"/>
    <files mask="slipif.c"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/include" target_path="freertos/Source/include" type="c_include">
    <files mask="FreeRTOS.h"/>
    <files mask="StackMacros.h"/>
    <files mask="croutine.h"/>
    <files mask="deprecated_definitions.h"/>
    <files mask="event_groups.h"/>
    <files mask="freertos_tasks_c_additions.h"/>
    <files mask="list.h"/>
    <files mask="mpu_wrappers.h"/>
    <files mask="portable.h"/>
    <files mask="projdefs.h"/>
    <files mask="queue.h"/>
    <files mask="semphr.h"/>
    <files mask="task.h"/>
    <files mask="timers.h"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/GCC/ARM_CM4F" target_path="freertos/Source/portable/GCC/ARM_CM4F" type="c_include" compiler="gcc">
    <files mask="fsl_tickless_generic.h"/>
    <files mask="portmacro.h"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/GCC/ARM_CM4F" target_path="freertos/Source/portable/GCC/ARM_CM4F" type="src" compiler="gcc">
    <files mask="fsl_tickless_systick.c"/>
    <files mask="port.c"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/IAR/ARM_CM4F" target_path="freertos/Source/portable/IAR/ARM_CM4F" type="c_include" compiler="iar">
    <files mask="fsl_tickless_generic.h"/>
    <files mask="portmacro.h"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/IAR/ARM_CM4F" target_path="freertos/Source/portable/IAR/ARM_CM4F" type="src" compiler="iar">
    <files mask="fsl_tickless_systick.c"/>
    <files mask="port.c"/>
    <files mask="portasm.s"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/MemMang" target_path="freertos/Source/portable/MemMang" type="src">
    <files mask="heap_3.c"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/RVDS/ARM_CM4F" target_path="freertos/Source/portable/RVDS/ARM_CM4F" type="c_include" compiler="arm">
    <files mask="fsl_tickless_generic.h"/>
    <files mask="portmacro.h"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source/portable/RVDS/ARM_CM4F" target_path="freertos/Source/portable/RVDS/ARM_CM4F" type="src" compiler="arm">
    <files mask="fsl_tickless_systick.c"/>
    <files mask="port.c"/>
  </source>
  <source path="rtos/freertos_9.0.0/Source" target_path="freertos/Source" type="src">
    <files mask="croutine.c"/>
    <files mask="event_groups.c"/>
    <files mask="list.c"/>
    <files mask="queue.c"/>
    <files mask="tasks.c"/>
    <files mask="timers.c"/>
  </source>
  <include_paths>
    <include path="CMSIS/Include"/>
    <include path="devices"/>
    <include path="drivers"/>
    <include path="freertos/Source/include"/>
    <include path="freertos/Source/portable/GCC/ARM_CM4F" compiler="gcc"/>
    <include path="freertos/Source/portable/IAR/ARM_CM4F" compiler="iar"/>
    <include path="freertos/Source/portable/RVDS/ARM_CM4F" compiler="arm"/>
    <include path="freertos/Source"/>
    <include path="lwip/contrib/apps"/>
    <include path="lwip/port/arch"/>
    <include path="lwip/port"/>
    <include path="lwip/src/include"/>
    <include path="sources"/>
    <include path="utilities"/>
  </include_paths>
</example>
